from ipaddress import IPv4Address

from pydantic import Field

from . import AbstractAgentEvent


class ExploitationEvent(AbstractAgentEvent):
    """
    An event that occurs when the Agent exploits a host

    Attributes:
        :param target: IP address of the exploited system
        :param success: Status of the exploitation
        :param exploiter_name: Name of the exploiter that triggered the event
        :param error_message: Message if an error occurs during exploitation
    """

    target: IPv4Address
    success: bool
    exploiter_name: str
    error_message: str = Field(default="")
